Subject: RE: v4 CoA and route optimization [Re:[Mip6] draft-solimananddraft-wakikawa]

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Thu, 7 Apr 2005 09:20:58 +0200

| -----Original Message-----
| From: [email-masked] [mailto:[email-masked]] On Behalf
Of
| [email-masked]
| Sent: Wednesday, April 06, 2005 7:42 PM
| To: [email-masked]
| Cc: [email-masked]
| Subject: RE: v4 CoA and route optimization [Re:[Mip6] draft-
| solimananddraft-wakikawa]
| 
| > > and in the slides we presented at the IETF, we had a
| > question for the
| > > WG, if we need to come up with another NAT detection mechanisn
based
| > > on MIPv6 (similar to what MIPv4 does), but we didnt get any
| > response.
| > > if the WG thinks we need one based on MIPv6, I have an idea
| > on how to
| > > do it.
| >
| > How?
| 
| let the WG first decide on whether IKEv2 is sufficient for
| detecting NATs when the MN and the HA run IKEv2 between
| them. if the WG things we need another MIP specific mechanism
| we will get to this later. this discussio will only be a
| distraction now.
| 
Hi Vijay:

I would not approve a solution that makes a dependency to IKEv2 for
traversing NATs, unless IKEv2 becomes universal for MRHA. At the moment,
the relation between the key negotiation and IPv4 traversal mechanisms
seems pretty loose so I would not forcefully tie them, even if it
actually works.

I'd rather have a modular approach in the solutions that we put in place
for the problems that we want to solve.

But maybe I missed what you really mean here. Could you clarify?

Pascal

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6